complexType "BullionPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | bullionType, deliveryLocation?, totalPhysicalQuantity, settlementDate?
</...>

Content Model Elements (4):

  bullionType,
  deliveryLocation (in bullionPhysicalLeg),
  settlementDate (in bullionPhysicalLeg),
  totalPhysicalQuantity (defined in CommodityFixedPhysicalQuantity.model group)

All Direct / Indirect Based Elements (1):

  bullionPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  bullionPhysicalLeg

Annotation
Physically settled leg of a physically settled Bullion Transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) CommodityForwardLeg (extension) PhysicalForwardLeg (extension) BullionPhysicalLeg

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="BullionPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalForwardLeg"> <xsd:sequence> <xsd:element name="bullionType" type="BullionTypeEnum"/> <xsd:element minOccurs="0" name="deliveryLocation" type="BullionDeliveryLocation"/> <xsd:group ref="CommodityFixedPhysicalQuantity.model"/> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/4)
bullionType

  Type: | BullionTypeEnum, simple content

  The type of Bullion underlying a Bullion Transaction.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Gold" | - | Gold. Quality as per the Good Delivery Rules issued by the London Bullion Market Association.
  "Palladium" | - | Palladium. Quality as per the Good Delivery Rules issued by the London Platinum and Palladium Market.
  "Platinum" | - | Palladium. Quality as per the Good Delivery Rules issued by the London Platinum and Palladium Market.
  "Silver" | - | Silver. Quality as per the Good Delivery Rules issued by the London Bullion Market Association.
  "Rhodium" | - | Quality as per the Good Delivery Rules for Rhodium.
  "RhodiumSponge" | - | DEPRECATED value which will be removed in FpML-6-0 onwards. Quality as per the Good Delivery Rules for Rhodium (Sponge) is too specific. See: http://www.FpML.org
  "Iridium" | - | Quality as per the Good Delivery Rules for Iridium.
  "Ruthenium" | - | Quality as per the Good Delivery Rules for Ruthenium.
  "Osmium" | - | Quality as per the Good Delivery Rules for Osmium.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="bullionType" type="BullionTypeEnum"/>

deliveryLocation

  Type: | BullionDeliveryLocation, simple content

  The physical delivery location for the transaction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryLocation" type="BullionDeliveryLocation"/>

settlementDate

  Type: | AdjustableOrRelativeDate, complex content

  Date on which the bullion will settle.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.